## python-structlog 17.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/structlog.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/structlog.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/structlog"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/structlog"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-structlog 15.2.0

=== debian/changelog ===
python-structlog (15.2.0-1) unstable; urgency=low

  * First upload (Closes: #790399)

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 10 Jul 2015 18:08:17 +0000

=== debian/control ===
Source: python-structlog
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python,
 python-docutils, python-sphinx (>= 1.0.7+dfsg-1~),
 python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), python3-setuptools, python3-all,
 python-twisted, python-pretend, python-freezegun (>= 0.2.8), python-pytest, python-releases
Uploaders: Filippo Giunchedi <filippo@debian.org>
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-structlog
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-twisted-core
Description: structured logging for Python.
 Structlog makes structured logging in Python easy by augmenting your existing
 logger.  It allows you to split your log entries up into key/value pairs and
 build them incrementally without annoying boilerplate code.
 .
 This package installs the library for Python 2

Package: python3-structlog
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: structured logging for Python.
 Structlog makes structured logging in Python easy by augmenting your existing
 logger.  It allows you to split your log entries up into key/value pairs and
 build them incrementally without annoying boilerplate code.
 .
 This package installs the library for Python 3

Package: python-structlog-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: structured logging for Python (common documentation)
 Structlog makes structured logging in Python easy by augmenting your existing
 logger.  It allows you to split your log entries up into key/value pairs and
 build them incrementally without annoying boilerplate code.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# tests require twisted, run only python2 tests
export PYBUILD_DISABLE=test/python3
export PYBUILD_NAME=structlog
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	make -C docs clean
	dh_auto_clean

override_dh_sphinxdoc:
	cp -a docs/_build/html debian/python-structlog-doc/usr/share/doc/python-structlog-doc/
	dh_sphinxdoc

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' make -C docs html

=== debian/watch ===
version=3
opts=filenamemangle=s/structlog/python-structlog/,uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/structlog/structlog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-structlog 16.0.0

=== debian/changelog ===
python-structlog (16.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 26 Mar 2016 18:08:19 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,14 @@
 Build-Depends: debhelper (>= 9), dh-python,
  python-docutils, python-sphinx (>= 1.0.7+dfsg-1~),
  python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), python3-setuptools, python3-all,
- python-twisted, python-pretend, python-freezegun (>= 0.2.8), python-pytest, python-releases
+ python-twisted, python-pretend, python-freezegun (>= 0.2.8), python-pytest, python-releases,
+ python-simplejson
 Uploaders: Filippo Giunchedi <filippo@debian.org>
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
+Vcs-Git: http://anonscm.debian.org/git/python-modules/packages/python-structlog.git
+Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-structlog.git
 
 Package: python-structlog
 Architecture: all

## python-structlog 16.1.0

=== debian/changelog ===
python-structlog (16.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: add myself to uploaders.
  * d/control: bump Standards-Version.
  * d/control: make short descriptions unique.
  * d/control: update Vcs-* fields to use HTTPS.
  * d/rules: prevent network access by defining https_proxy. Closes: #830609.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Sep 2016 09:48:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
  python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), python3-setuptools, python3-all,
  python-twisted, python-pretend, python-freezegun (>= 0.2.8), python-pytest, python-releases,
  python-simplejson
-Uploaders: Filippo Giunchedi <filippo@debian.org>
-Standards-Version: 3.9.6
+Uploaders: Filippo Giunchedi <filippo@debian.org>,
+           Vincent Bernat <bernat@debian.org>
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Git: http://anonscm.debian.org/git/python-modules/packages/python-structlog.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-structlog.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-structlog.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-structlog.git
 
 Package: python-structlog
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Suggests: python-twisted-core
-Description: structured logging for Python.
+Description: structured logging for Python (2.x)
  Structlog makes structured logging in Python easy by augmenting your existing
  logger.  It allows you to split your log entries up into key/value pairs and
  build them incrementally without annoying boilerplate code.
@@ -28,7 +29,7 @@
 Package: python3-structlog
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Description: structured logging for Python.
+Description: structured logging for Python (3.x)
  Structlog makes structured logging in Python easy by augmenting your existing
  logger.  It allows you to split your log entries up into key/value pairs and
  build them incrementally without annoying boilerplate code.

=== debian/watch ===
version=3
opts=filenamemangle=s@structlog/structlog@python-structlog@,uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/structlog/structlog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-structlog 17.2.0

=== debian/changelog ===
python-structlog (17.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.
  * d/control: add homepage.
  * d/control: add testsuite.
  * d/control: build-depends on python3-sphinx.
  * d/patch: fix test failure with recent versions of Twisted. Closes: #876988.
  * d/watch: switch to HTTPS.

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 Nov 2017 07:08:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9), dh-python,
- python-docutils, python-sphinx (>= 1.0.7+dfsg-1~),
+ python-docutils, python3-sphinx (>= 1.0.7+dfsg-1~),
  python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), python3-setuptools, python3-all,
  python-twisted, python-pretend, python-freezegun (>= 0.2.8), python-pytest, python-releases,
  python-simplejson
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-structlog.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-structlog.git
+Homepage: http://www.structlog.org/en/stable/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-structlog
 Architecture: all

## python-structlog 18.1.0

=== debian/changelog ===
python-structlog (18.1.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 01:07:50 +0200

python-structlog (18.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Vincent Bernat ]
  * New upstream release. Fix FTBFS with recent pytest. Closes: #892636.
  * d/patches: drop Twisted-related patch, applied upstream.

 -- Vincent Bernat <bernat@debian.org>  Wed, 25 Jul 2018 08:23:27 +0200

=== debian/control ===
Source: python-structlog
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9), dh-python,
 python3-sphinx (>= 1.0.7+dfsg-1~),
 python3-setuptools, python3-all,
Uploaders: Filippo Giunchedi <filippo@debian.org>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/python-team/modules/python-structlog.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-structlog
Homepage: http://www.structlog.org/en/stable/
Testsuite: autopkgtest-pkg-python

Package: python3-structlog
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: structured logging for Python (3.x)
 Structlog makes structured logging in Python easy by augmenting your existing
 logger.  It allows you to split your log entries up into key/value pairs and
 build them incrementally without annoying boilerplate code.
 .
 This package installs the library for Python 3

Package: python-structlog-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: structured logging for Python (common documentation)
 Structlog makes structured logging in Python easy by augmenting your existing
 logger.  It allows you to split your log entries up into key/value pairs and
 build them incrementally without annoying boilerplate code.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_DISABLE=test/python3
 export PYBUILD_NAME=structlog
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	make -C docs clean
@@ -16,4 +16,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' make -C docs html
+	PYTHONPATH=. \
+	http_proxy=http://127.0.0.1:9 \
+	https_proxy=https://127.0.0.1:9 \
+	make -C docs html

## python-structlog 20.1.0

=== debian/changelog ===
python-structlog (20.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Re-export upstream signing key without extra signatures.
  * Set fields Upstream-Name in debian/copyright.

  [ Vincent Bernat ]
  * New upstream version.
  * d/rules: run tests with Python 3.

 -- Vincent Bernat <bernat@debian.org>  Tue, 21 Apr 2020 07:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,22 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 9), dh-python,
+Build-Depends: debhelper-compat (= 12), dh-python,
  python3-sphinx (>= 1.0.7+dfsg-1~),
- python3-setuptools, python3-all,
+ python3-setuptools,
+ python3-all,
+ python3-freezegun,
+ python3-pretend,
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-simplejson,
+ python3-twisted
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-structlog.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-structlog
-Homepage: http://www.structlog.org/en/stable/
+Homepage: https://www.structlog.org/en/stable/
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-structlog

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 
-# tests require twisted, run only python2 tests
-export PYBUILD_DISABLE=test/python3
 export PYBUILD_NAME=structlog
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s@structlog/structlog@python-structlog@,uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/structlog/structlog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-structlog 22.3.0

=== debian/changelog ===
python-structlog (22.3.0-2) unstable; urgency=medium

  * Team upload.
  * Remove a spurious dh_sphinxdoc invocation.
  * Set Rules-Requires-Root: no.
  * Add upstream patch to workaround a Sphinx limitation (reported upstream),
    that results in a non-reproducible build of the docs package, due to
    random variance introduced in one specific class.
  * Relicense debian/ from GPL-3+ to the upstream source code's license
    (Apache-2.0 or Expat).
  * Ship a doc-base file in the doc package, per Policy 9.10 and addressing
    lintian's possible-documentation-but-no-doc-base-registration warning.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 28 Feb 2023 03:44:23 +0200

python-structlog (22.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes FTBFS with Python 3.11. (Closes: #1026725)
  * General packaging hygiene:
    - Bump debhelper-compat to 13.
    - Use dh-sequence-*, instead of dh --with.
    - Drop versioned build-depends on an ancient version of sphinx.
    - debian/rules: use execute_before/_after instead of override_.
    - Update debian/watch to version 4.
    - Bump Standards-Version to 4.6.2.
    - Add upstream metadata.
  * Adjust packaging to upstream's switch of buildsystems, from setuptools to
    hatchling.
  * Adjust PYTHONPATH in "make docs" to point to the .pybuild directory.
  * Add a pyproject.toml patch to remove the build dependency on
    hatch-fancy-pypi-readme. It doesn't exist in Debian and is only used to
    generate the README file, which we don't care much about.
  * Use autopkgtest-pkg-pybuild for more comprehensive testing.
  * Add a mention to JSON output to the long description, copied from the
    upstream README.
  * Adjust intersphinx mapping to point to the packaged Python documentation,
    as installed by python3-doc, a new build-dependency.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 18 Feb 2023 09:28:31 +0200

python-structlog (20.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-structlog-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:38:40 +0100

python-structlog (20.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Filippo Giunchedi ]
  * Remove myself from Uploaders

  [ Debian Janitor ]
  * Remove 1 unused lintian overrides.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 12:23:13 -0400

=== debian/control ===
Source: python-structlog
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-doc,
 python3-freezegun,
 python3-hatchling,
 python3-hatch-vcs,
 python3-pretend,
 python3-pytest,
 python3-pytest-asyncio,
 python3-simplejson,
 python3-sphinx,
 python3-sphinxcontrib-mermaid,
 python3-sphinx-notfound-page,
 python3-myst-parser,
 furo,
 python3-twisted,
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://www.structlog.org/en/stable/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-structlog.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-structlog
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: python3-structlog
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: structured logging for Python (3.x)
 Structlog makes structured logging in Python easy by augmenting your existing
 logger.  It allows you to split your log entries up into key/value pairs and
 build them incrementally without annoying boilerplate code.
 .
 The output format is just as flexible and structlog comes with support for
 JSON, logfmt, as well as pretty console output out-of-the-box.
 .
 This package installs the library for Python 3.

Package: python-structlog-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: structured logging for Python (common documentation)
 Structlog makes structured logging in Python easy by augmenting your existing
 logger.  It allows you to split your log entries up into key/value pairs and
 build them incrementally without annoying boilerplate code.
 .
 The output format is just as flexible and structlog comes with support for
 JSON, logfmt, as well as pretty console output out-of-the-box.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts=filenamemangle=s@structlog/structlog@python-structlog@,uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/structlog/structlog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-structlog 23.1.0

=== debian/changelog ===
python-structlog (23.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Security-Contact to debian/upstream/metadata (thanks Debian Janitor!).
  * Build-Depend on the newly available python3-hatch-fancy-pypi-readme
    package, and drop patch "Remove-hatch-fancy-pypi-readme-dependency".

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 14 Jul 2023 01:32:19 +0300

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-freezegun,
  python3-hatchling,
  python3-hatch-vcs,
+ python3-hatch-fancy-pypi-readme,
  python3-pretend,
  python3-pytest,
  python3-pytest-asyncio,

## python-structlog 24.1.0

=== debian/changelog ===
python-structlog (24.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 12 Jan 2024 07:02:45 +0200

python-structlog (23.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Rebase and refresh debian/patches.
    - Build-Depend on python3-sphinxext-opengraph, new upstream dependency.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 31 Dec 2023 16:58:27 +0200

python-structlog (23.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch Add-workaround-for-reproducible-building-of-docs. The Sphinx
    limitation that necessitated this patch has been fixed as of v7.2.0. See
    upstream issue sphinx-doc/sphinx#11198 for more context.
  * Add patch Do-not-embed-images-from-remote-sources, to avoid embedding
    <img> tags pointing to remote resources, resolving privacy-breach-generic
    Lintian warnings.
  * Add myself to Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 15 Dec 2023 03:08:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: python-structlog
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Vincent Bernat <bernat@debian.org>
+Uploaders:
+ Vincent Bernat <bernat@debian.org>,
+ Faidon Liambotis <paravoid@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -21,12 +23,13 @@
  python3-simplejson,
  python3-sphinx,
  python3-sphinxcontrib-mermaid,
+ python3-sphinxext-opengraph,
  python3-sphinx-notfound-page,
  python3-myst-parser,
  furo,
  python3-twisted,
 Testsuite: autopkgtest-pkg-pybuild
-Homepage: https://www.structlog.org/en/stable/
+Homepage: https://www.structlog.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-structlog.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-structlog
 Rules-Requires-Root: no

## python-structlog 24.2.0

=== debian/changelog ===
python-structlog (24.2.0-1) unstable; urgency=low

  * New upstream version 24.2.0
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Refresh patches.
  * Remove mermaid integration from documentation because of CDN loaded asset.
  * Add python3-rich to Suggests on python3-structlog.

 -- Michael Fladischer <fladi@debian.org>  Sat, 15 Jun 2024 16:22:11 +0000

=== debian/control ===
--- 
+++ 
@@ -10,23 +10,22 @@
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ furo,
  pybuild-plugin-pyproject,
  python3-all,
  python3-doc,
  python3-freezegun,
+ python3-hatch-fancy-pypi-readme,
+ python3-hatch-vcs,
  python3-hatchling,
- python3-hatch-vcs,
- python3-hatch-fancy-pypi-readme,
+ python3-myst-parser,
  python3-pretend,
  python3-pytest,
  python3-pytest-asyncio,
  python3-simplejson,
  python3-sphinx,
- python3-sphinxcontrib-mermaid,
+ python3-sphinx-notfound-page,
  python3-sphinxext-opengraph,
- python3-sphinx-notfound-page,
- python3-myst-parser,
- furo,
  python3-twisted,
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://www.structlog.org/
@@ -40,6 +39,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-rich,
 Description: structured logging for Python (3.x)
  Structlog makes structured logging in Python easy by augmenting your existing
  logger.  It allows you to split your log entries up into key/value pairs and

## python-structlog 24.4.0

=== debian/changelog ===
python-structlog (24.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Rebase and refresh debian/patches.
  * Bump Standards-Version to 4.7.0.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 13 Aug 2024 12:59:50 +0300

## python-structlog 25.1.0

=== debian/changelog ===
python-structlog (25.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Update Do-not-embed-images-from-remote-sources to account for a minor
      upstream change.
    - Rebase and refresh the rest of debian/patches.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 16 Feb 2025 13:16:16 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-structlog.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-structlog
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 
 Package: python3-structlog
 Architecture: all

## python-structlog 25.3.0

=== debian/changelog ===
python-structlog (25.3.0-2) unstable; urgency=medium

  * Backport upstream PR #723, resolving a Python 3.14 compatibility issue.
    This, by extension, makes this compatible with the Python 3.13 snapshot as
    packaged in the Debian python3.13 3.13.3-4 package. (Closes: #1106444)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 28 May 2025 15:33:37 +0300

python-structlog (25.3.0-1) unstable; urgency=medium

  * New upstream release, containing a small targeted fix for a high priority
    bug where seemingly UTC timestamps in `TimeStamper` had the timestamp from
    the local timezone when passing utc=True.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 28 Apr 2025 12:24:11 +0300

python-structlog (25.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Rebase and refresh debian/patches.
  * Bump Standards-Version to 4.7.2.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 30 Mar 2025 17:29:53 +0300

## python-structlog 25.4.0

=== docs/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	-rm -rf $(BUILDDIR)/*
 
 html:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	$(SPHINXBUILD) -n -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
python-structlog (25.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop previously backported patch Add-3.14.patch.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 26 Aug 2025 13:16:41 +0300

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-structlog.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-structlog
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 
 Package: python3-structlog
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=structlog

# sets the version using hatch-vcs -> setuptools_scm statically, not via git
export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	make -C docs clean BUILDDIR=$(CURDIR)/.pybuild/docs

execute_before_dh_sphinxdoc:
	cp -a $(CURDIR)/.pybuild/docs/html debian/python-structlog-doc/usr/share/doc/python-structlog-doc/

execute_after_dh_auto_build:
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	  http_proxy=http://127.0.0.1:9 \
	  https_proxy=https://127.0.0.1:9 \
	  make -C docs html BUILDDIR=$(CURDIR)/.pybuild/docs

=== debian/watch ===
version=4
opts=filenamemangle=s@structlog/structlog@python-structlog@,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/structlog/structlog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-structlog 25.5.0

=== debian/changelog ===
python-structlog (25.5.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh all patches and address a minor conflict
    - Adjust Build-Dependencies based on new project requirements.
  * Remove pybuild.testfiles as its contents are in pybuild's defaults
    nowadays.
  * Update debian/watch to version 5.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 02 Jan 2026 12:16:12 +0200

python-structlog (25.4.0-2) unstable; urgency=medium

  * Team upload.
  * debian/pybuild.testfiles: Remove blank line (closes: #1123318).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 19:12:07 +0000

=== debian/control ===
--- 
+++ 
@@ -10,22 +10,23 @@
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
- furo,
  pybuild-plugin-pyproject,
  python3-all,
  python3-doc,
- python3-freezegun,
  python3-hatch-fancy-pypi-readme,
  python3-hatch-vcs,
  python3-hatchling,
  python3-myst-parser,
- python3-pretend,
  python3-pytest,
  python3-pytest-asyncio,
  python3-simplejson,
  python3-sphinx,
+ python3-sphinx-book-theme,
+ python3-sphinx-copybutton,
+ python3-sphinx-design,
  python3-sphinx-notfound-page,
  python3-sphinxext-opengraph,
+ python3-time-machine,
  python3-twisted,
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://www.structlog.org/

=== debian/watch ===
Version: 5

Template: Pypi
Dist: structlog
Filenamemangle: s@structlog/structlog@python-structlog@
